﻿Imports System.ComponentModel
Imports DevExpress.Xpo
Imports Xafari.BC
Imports Xafari.BC.Data

Public Class FilterObject
    Inherits XPCustomObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Persistent("Oid")> _
  <Key(True)> _
  <Browsable(False)> _
  <MemberDesignTimeVisibility(False)> _
    Private _oid As Guid = Guid.Empty
    <Browsable(False)> _
  <PersistentAlias("oid")> _
    Public Property Oid As Guid
        Get
            Return Me._oid
        End Get
        Set(value As Guid)
            Me._oid = value
        End Set
    End Property
    Private __name As String
    Public Property Name As String
        Get
            Return __name
        End Get
        Set(value As String)
            SetPropertyValue("Name", __name, value)
        End Set
    End Property
    <NonPersistent> _
    Public FilterObject_B As ObjectSet(Of Object_B)
    <NonPersistent> _
  <LocalContext("Context1")> _
    Public FilterObject_C As ObjectSet(Of Object_C)
    Protected Overrides Sub OnSaving()
        MyBase.OnSaving()
        ObjectSetPersistentOwnerHelper.UpdateOwnwerId(Me)
    End Sub
    Public Overrides Sub AfterConstruction()
        ObjectSetPersistentOwnerHelper.CreateObjectSets(Me, ObjectSetPersistentOwnerHelper.OwnerIdUndefined)
        MyBase.AfterConstruction()
    End Sub
    Protected Overrides Sub OnLoaded()
        ObjectSetPersistentOwnerHelper.CreateObjectSets(Me, Me.Session.Xafari().GetKeyValueAsString(Me))
    End Sub
End Class
